
; Script adapted by Samuel Murray from script by lexikos at
; http://www.autohotkey.com/forum/topic24639.html

; This script causes ENTER to be sent if a user uses Space+G
; (hold down space, press and release G, then release space).
; Enter up to three ENTERs (or adapt the script for more).

; This script causes BACKSPACE to be sent if a user uses Space+T
; (hold down space, press and release T, then release space).
; Enter up to five BACKSPACEs (or adapt the script for more).
 
; If you type too fast and you tend to release the spacebar too
; late when pressing any other key, increase the value "250".

; Caveats: The ENTER or BACKSPACE is only typed once you
; release the spacebar.  Holding down either letter keys or the
; spacebar for longer has no additional effect.  Pressing more
; than 3 Gs or more than 5 Ts will result in no text typed.

; For adaptation, remember to use lowercase in the script.

$Space:: 
    SpaceTick := A_TickCount 
    
    Input, seq
    
    if (A_TickCount-SpaceTick < 250 or seq="") 
    { Send {Space}%seq%
       return 
    } 

    if (seq="g")
    { Send {Enter}
       return
    }    

    if (seq="gg")
    { Send {Enter 2}
       return
    }    

    if (seq="ggg")
    { Send {Enter 3}
       return
    }    

    if (seq="t")
    { Send {Backspace}
       return
    }    

    if (seq="tt")
    { Send {Backspace 2}
       return
    }    

    if (seq="ttt")
    { Send {Backspace 3}
       return
    }    

    if (seq="tttt")
    { Send {Backspace 4}
       return
    }    

    if (seq="ttttt")
    { Send {Backspace 5}
       return
    }    

return 
Space Up::Input

